Application: gvSIG desktop - gvSIG bugs #3574
color final faltante / final color missing
06/08/2015 04:59 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: José Badia

Category: Symbology

Target version: 2.3.0-2409 (rev. org.gvsig.desktop-2.0.11p)

Severity: Minor Add-on version:

gvSIG version: 2.2.0 Add-on build:

gvSIG build: 2308 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

ES:

En symboligia > intervalos > calcular intervalos:

El color final nunca es alcanzado. Con los colores (rojo a azul) por defecto, ningiin rango resulta color azul del todo.

EN:

at symbolgy > intervals > compute intervals:
The gradient never reaches the final color. With default colors (red to blue), no range becomes complitely blue

Associated revisions

Revision 42465 - 11/12/2015 09:33 AM - José Badia

refs #3574

ajuste del color final en leyenda por intervalos

Revision 42476 - 11/13/2015 12:26 PM - José Badia

refs #3574

maodificar color final

History

#1 - 10/23/2015 12:04 PM - Alvaro Anguix
- Category set to Symbology

#2 - 10/26/2015 06:38 PM - Alvaro Anguix
- Assignee set to José Badia

#3 - 10/26/2015 06:42 PM - Alvaro Anguix
- Target version set to 98

#4 - 11/12/2015 09:35 AM - José Badia
- Status changed from New to Fixed

05/01/2024

1/3




No es exactamente el mismo, pero se asemeja mucho mas

#5 - 11/12/2015 09:36 AM - José Badia

- Target version changed from 98 to 2.3.0-2409 (rev. org.gvsig.desktop-2.0.115)

#6 - 11/12/2015 10:06 AM - Cesar Ordifiana

José Badia wrote:

No es exactamente el mismo, pero se asemeja mucho mas

Hola José, una duda desde el desconocimiento: ¢ por qué no puede ser el mismo color?

Supongo que hay un tema de calculo de proporciones que no da un 100% para el ultimo intervalo, o algo asi. Pero, ¢no se podria hacer algo como

directamente coger para el ultimo intervalo el valor del color final, en vez del calculado?

#7 - 11/12/2015 10:12 AM - José Badia

Cesar Ordifiana wrote:

José Badia wrote:

No es exactamente el mismo, pero se asemeja mucho mas

Hola José, una duda desde el desconocimiento: ;por qué no puede ser el mismo color?

Supongo que hay un tema de calculo de proporciones que no da un 100% para el dltimo intervalo, o algo asi. Pero, ;no se podria hacer algo

como directamente coger para el ultimo intervalo el valor del color final, en vez del calculado?

Hola César,

exactamente es por lo que dices: se trata de un tema de célculo de proporciones que, en la mayoria de casos no es exacta. Evidentemente se puede

hacer como dices y asignar al Gltimo tramo directamente el color final, pero se sacrificaria la linealidad de los colores de la progresion. Todo es

cuestién de gustos.

A pesar de todo, tanto si se rompe la linealidad en favor de poner el color final, como si no, la desviacion es minima y apenas se nota cuanto mayor

numero de intervalos hay

#8 - 11/12/2015 01:03 PM - Cesar Ordifiana

José Badia wrote:

Hola César,

exactamente es por lo que dices: se trata de un tema de calculo de proporciones que, en la mayoria de casos no es exacta. Evidentemente se

puede hacer como dices y asignar al ultimo tramo directamente el color final, pero se sacrificaria la linealidad de los colores de la progresion. Todo

es cuestion de gustos.
A pesar de todo, tanto si se rompe la linealidad en favor de poner el color final, como si no, la desviacion es minima y apenas se nota cuanto

mayor nimero de intervalos hay

Gracias José!

Poniéndome en la piel del usuario, yo creo que es lo que realmente esperaria, que los valores iniciales y finales sean los que se han especificado.
Pero bueno, para gustos colores ;).

#9 - 11/12/2015 02:20 PM - Alvaro Anguix

Opino como César, creo que lo que espera el usuario es que se mantenga el color inicial y final, y se graduen los valores intermedios lo mejor

posible.

#10 - 11/13/2015 12:27 PM - José Badia

Ok, cambiado queda tal y como sugeris

#11 - 12/21/2015 01:07 PM - Alvaro Anguix
- Status changed from Fixed to Closed
